<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <p><a class="header_link" style="text-decoration:none" href="{% url 'todo_list_create' %}">Create a New List!</a></p>
                <p><a class="header_link" style="text-decoration:none" href="{% url 'todo_item_create' %}">Create a New Item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in todo_list %}
                    <tr>
                        <td><a style="color:blue;text-decoration:none" href="{% url 'todo_list_detail' item.id %}">{{ item.name }}</a></td>
                        <td>{{ item.items.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            </div>
        </main>
    </body>
</html>
